Subject: Re: bug#2837: 23.0.91; tramp: ssh passphrase vs. password

From: Michael Albinus <[email-masked]>
Date: Wed, 01 Apr 2009 06:59:59 +0200

[email-masked] writes:

> Just now I tried to open /ssh:dhcp98:/ and it asked me for "dhcp98's
> password".  It *should* have asked me for the passphrase for one of my
> SSH keys (id_rsa).  This either means that the prompt is misleading
> (i.e. it wants my passphrase) or worse, that it genuinely wants to use
> password-based authentication (i.e. ignoring my key).

Tramp tries to find out, whether it shall ask for the "password" or the
"passphrase". It checks ssh's prompt for this.

What does ssh asks you, if you apply "ssh dhcp98" from a shell?

Best regards, Michael.